SpanPayloadCheckQuery.MatchOperation (Lucene 10.5.0 queries API)
Description: declaration: package: org.apache.lucene.queries.payloads, class: SpanPayloadCheckQuery, enum: MatchOperation

Package org.apache.lucene.queries.payloads

# Enum Class SpanPayloadCheckQuery.MatchOperation

java.lang.Object
java.lang.Enum<SpanPayloadCheckQuery.MatchOperation>
org.apache.lucene.queries.payloads.SpanPayloadCheckQuery.MatchOperation

All Implemented Interfaces:
  `Serializable`, `Comparable<SpanPayloadCheckQuery.MatchOperation>`, `Constable`

Enclosing class:
  `SpanPayloadCheckQuery`

public static enum SpanPayloadCheckQuery.MatchOperation extends Enum<SpanPayloadCheckQuery.MatchOperation>
The payload type. This specifies the decoding of the ByteRef for the payload.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EQ`
  Checks for binary equality of the byte array (default)
  `GT`
  GT Matches if the payload value is greater than the reference
  `GTE`
  GTE Matches if the payload value is greater than or equal to the reference
  `LT`
  LT Matches if the payload value is less than the reference
  `LTE`
  LTE Matches if the payload value is less than or equal to the reference

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SpanPayloadCheckQuery.MatchOperation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SpanPayloadCheckQuery.MatchOperation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EQ

    public static final SpanPayloadCheckQuery.MatchOperation EQ
    Checks for binary equality of the byte array (default)

  - ### GT

    public static final SpanPayloadCheckQuery.MatchOperation GT
    GT Matches if the payload value is greater than the reference

  - ### GTE

    public static final SpanPayloadCheckQuery.MatchOperation GTE
    GTE Matches if the payload value is greater than or equal to the reference

  - ### LT

    public static final SpanPayloadCheckQuery.MatchOperation LT
    LT Matches if the payload value is less than the reference

  - ### LTE

    public static final SpanPayloadCheckQuery.MatchOperation LTE
    LTE Matches if the payload value is less than or equal to the reference

- ## Method Details

  - ### values

    public static SpanPayloadCheckQuery.MatchOperation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SpanPayloadCheckQuery.MatchOperation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null